# $Revision: 1.49.2.4 $, $Date: 2003/12/01 23:05:58 $
Summary:	The Electric Eyes image viewer application
Summary(es):	Electric Eyes - Visualizador de Imgenes
Summary(fr):	Le visualiseur d'images Electric Eyes
Summary(pl):	Elektryczne Oczy - przegldarka plikw graficznych
Summary(pt_BR):	Electric Eyes - Visualizador de Imagens
Summary(ru):	   Electric Eyes
Summary(uk):	   Electric Eyes
Name:		ee
Version:	0.3.12
Release:	10
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/ee/0.3/%{name}-%{version}.tar.gz
# Source0-md5:	d7e92c1cc560ce76e439353462b8aa7e
Patch0:		%{name}-uk.po.patch
Patch1:		%{name}-pt_BR.po.patch
Patch2:		%{name}-desktop.patch
Icon:		ee.xpm
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	imlib-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
The ee package contains the Electric Eyes image viewer for the GNOME
desktop environment. Electric Eyes is primary an image viewer, but it
also allows many types of image manipulations. Electric Eyes can
handle almost any type of image.

%description -l es
El visor de imgenes Electric Eyes permite visualizar y manejar una
variedad de formatos de imgenes.

%description -l fr
Le package ee contient le visualiseur d'images Electric Eyes pour le
bureau graphique GNOME. Electric Eyes est d'abord un visualiseur
d'images, mais il peut aussi les modifier. Electric Eyes peut grer
quasiment tous les types d'images.

%description -l pl
"Elektryczne Oczy" s przegldark plikw graficznych w rnych
formatach dla GNOME. Electric Eyes jest przede wszystkim przegldark,
ale moe te suy do wykonywania niektrych operacji spotykanych w
programach do obrbki grafiki.

%description -l pt_BR
O visualizador de imagens Electric Eyes permite a visualizao e
manipulao de uma variedade de formatos de imagens.

%description -l ru
 ee     Electric Eyes 
   GNOME. Electric Eyes    
,       
. Electric Eyes      
.

%description -l uk
 ee ͦ    Electric Eyes 
   GNOME. Electric Eyes    
 ,   Цդ  Ц Φæ 
. Electric Eyes     - 
.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

perl -p -i -e "s|euc-japan|EUC-JP|g" po/ja.po
perl -p -i -e "s|charset=8bit|charset=big5|g" po/zh_TW.Big5.po
perl -p -i -e "s|Encoding: big5|Encoding: 8bit|g" po/zh_TW.Big5.po

%build
rm -rf missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Graphicsdir=%{_applnkdir}/Graphics/Viewers

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN{.GB2312,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW{.Big5,}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mime-info/*
%{_applnkdir}/Graphics/Viewers/ee.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ee.spec,v $
Revision 1.49.2.4  2003/12/01 23:05:58  ankry
- md5

Revision 1.49.2.3  2003/12/01 22:55:24  ankry
- added -desktop patch, rel. 10

Revision 1.49.2.2  2003/07/11 12:00:48  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.49.2.1  2003/04/27 22:44:56  kloczek
- backport for Ra.

Revision 1.49  2003/04/27 22:38:16  kloczek
- release 8: variouse i18n resources updates/fixes,
- added uk.po and pt_BR.po patches with updates/fixes in po/{uk,pt_BR}.po
  files (based on Conectiva and KSI fixes),
- merge Summary and %description translations drom KSI,
- rename zh_CN{.GB2312,} and zh_TW{.Big5,} translations and fix default encodings
  in ja, zh_CN, zh_TW po files (based on Kondara fixes).

Revision 1.48  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.47  2003/01/15 12:31:51  qboosh
- updated URL

Revision 1.46  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.45  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.43  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/25 16:14:28  arturs
fixed a small typo

Revision 1.40  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.39  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/02/03 20:44:13  ankry
- adding es/pt/pt_BR Group translations

Revision 1.36  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/08/11 13:44:20  kloczek
- added libtool to BuildRequires.

Revision 1.34  2001/08/11 13:39:43  blues
- release 5
- make libtool happy
- some ac/am cleanups

Revision 1.33  2001/03/23 03:02:53  kloczek
- release 4: added few missin files in %files list.

Revision 1.32  2001/01/19 20:01:23  kloczek
- release 3,
- added automake, autoconf to BuildRequires,
- fixed %build and now ee can be builded using also automake 1.4b.

Revision 1.31  2000/10/27 10:52:40  kloczek
- release 2,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.30  2000/07/18 18:16:13  kloczek
- updated to 0.3.12,
- added using %%{_applnk} macro,
- desktop file moved to Graphics/Viewers.

Revision 1.29  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.26  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.24  2000/03/28 15:41:02  arturs
typo

Revision 1.23  2000/01/28 11:44:39  kloczek
- release 2,
- spec adapterized,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.22  1999/12/07 10:27:35  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.20  1999/09/28 23:21:59  kloczek
- next typo.

Revision 1.19  1999/09/28 23:21:06  kloczek
- typo.

Revision 1.18  1999/09/28 23:19:58  kloczek
- added package icon fiel.

Revision 1.17  1999/09/28 23:18:03  kloczek
- updated to 0.3.11,
- updated Buildrequires rules,
- added using %%configure macro,
- added DESTDIR style %install,
- desktop file moved to applnk dir (applnk patch),
- ne en and pl Summary and %description,
- added fr translation from Mandrake Linux and es, pt_BR from Conectiva.

Revision 1.16  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.3.8-7]
- based on RH spec,
- spec rewrited by PLD team.
